| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RpcException Class Reference

Base class for all exceptions thrown by the RPC API. More...

`#include <RpcException.hpp>`

Inheritance diagram for RpcException:
[legend]

## Public Member Functions

| RpcException (const std::string &message)
| Constructor.
| RpcException (const char *message)
| Constructor.
| RpcException (const RpcException &other) noexcept=default
| Copy constructor.
RpcException & | operator= (const RpcException &other) noexcept=default
| Copy assignment.
virtual | ~RpcException () noexcept=default
| Destructor.
const char * | what () const noexcept
| Returns the explanatory string.

## Detailed Description

Base class for all exceptions thrown by the RPC API.

## Constructor & Destructor Documentation

## ◆ RpcException() [1/3]

RpcException | ( | const std::string & | message | ) |

inline explicit

Constructor.

Parameters

  message | The exception message.

## ◆ RpcException() [2/3]

RpcException | ( | const char * | message | ) |

inline explicit

Constructor.

Parameters

  message | The exception message.

## ◆ RpcException() [3/3]

RpcException | ( | const RpcException & | other | ) |

default noexcept

Copy constructor.

## ◆ ~RpcException()

virtual ~RpcException | ( |  | ) |

virtual default noexcept

Destructor.

## Member Function Documentation

## ◆ operator=()

RpcException & operator= | ( | const RpcException & | other | ) |

default noexcept

Copy assignment.

## ◆ what()

const char * what | ( |  | ) | const

inline noexcept

Returns the explanatory string.

The documentation for this class was generated from the following file:

- include/fastdds/dds/rpc/exceptions/RpcException.hpp